--- title: "Overwrite stage method settings" slug: "apigateway-stageresource-patchmethod" updated: 2026-09-17T09:35:41Z published: 2026-09-17T09:35:41Z canonical: "api.ncloud-docs.com/apigateway-stageresource-patchmethod" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Overwrite stage method settings Available in Classic and VPC Overwrite the method settings for a specified stage with the newly specified method settings. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | PATCH | /api/v1/products/{product-id}/apis/{api-id}/stages/{stage-id}/deployments/{deployment-no}/resources/{resource-id}/methods/{method-name} | ### Request headers For information about the headers common to all API Gateway APIs, see [API Gateway request headers](/docs/en/ai-application-service-apigateway#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `product-id` | String | Required | Product ID - 0 - 10 characters - See [View product list](/docs/en/apigateway-product-getproductlist) | | `api-id` | String | Required | API ID - 0 - 10 characters - See [View API](/docs/en/apigateway-api-apis) | | `stage-id` | String | Required | Stage ID - 0 - 10 characters - See [View stage list](/docs/en/apigateway-stage-getstagelist) | | `deployment-no` | Long | Required | Deployment number - See [View stage list](/docs/en/apigateway-stage-getstagelist) | | `resource-id` | String | Required | Resource ID of the stage - 0 - 10 characters - See [View resource list](/docs/en/apigateway-resource-getresourcelist) | | `method-name` | String | Required | Method whose settings you want to overwrite - `ANY` \| `GET` \| `POST` \| `PUT` \| `DELETE` \| `PATCH` \| `OPTIONS` \| `HEAD` | ### Request syntax The request syntax is as follows. ``` { "cacheTtlSec" : 0, "throttleRps" : 6, "isInherit" : true, "endpointDomain" : "endpointDomain" } ``` ### Request body The following describes the request body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `cacheTtlSec` | Integer | Optional | API cache TTL - 1 - 3600 seconds | | `throttleRps` | Integer | Optional | Per-method per-second request limit - 0 - 2,147,483,647 | | `isInherit` | Boolean | Required | Compliance with stage default settings - `true` \| `false` - `true`: compliant - `false`: non-compliant | | `endpointDomain` | String | Optional | Endpoint domain | ### Request example The following is a sample request. ``` curl --location --request PATCH 'https://apigateway.apigw.ntruss.com/api/v1/products/***3kew***/apis/***hhdy***/stages/***sd32***/deployments/250***/resources/***uku7***/methods/GET' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' \ --data '{ "cacheTtlSec" : 0, "throttleRps" : 6, "isInherit" : true, "endpointDomain" : "https://test.****" }' ``` ## Response The following describes the response format. ### Response syntax The response syntax is as follows. ``` { "stageMethod" : { "resourceId" : "resourceId", "endpointCode" : "endpointCode", "resourcePath" : "resourcePath", "methodName" : "ANY", "isInherit" : true, "methodCode" : "methodCode", "endpointDomain" : "endpointDomain", "cacheTtlSec" : 0, "restUrl" : "restUrl", "throttleRps" : 1, "endpointActionId" : "endpointActionId", "invokeUrl" : "invokeUrl", "stageDeploymentNo" : 6, "endpointConfigJson" : "endpointConfigJson" } } ``` ### Response status codes For information about the HTTP status codes common to all API Gateway APIs, see [API Gateway response status codes](/docs/en/ai-application-service-apigateway#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample response. ``` { "stageMethod": { "stageDeploymentNo": 256366, "methodName": "PUT", "methodCode": "0003", "resourceId": "1lynl7fvad", "invokeUrl": "https://rl5qpeuk8w.apigw.ntruss.com/new_api/test/", "restUrl": "test - PUT /", "endpointCode": "0007", "endpointConfigJson": "{\"httpStatus\":200,\"response\":\"\",\"headers\":{}}", "isInherit": true } } ```